> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Get Organization Membership

GET https://api.calendly.com/organization_memberships/{uuid}

Returns information about a user's Organization Membership

> `organizations:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/organizations/get-organization-membership

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `uuid` (string, required) — The organization membership's unique identifier

## Response

### 200

OK

- `resource` (OrganizationMembership, required)

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Caller not authorized to perform this action or insufficient scope

- `Get-organization-membershipRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### OrganizationMembership

- `uri` (string, required) — Canonical reference (unique identifier) for the membership
- `role` (enum, required) — The user's role in the organization
  - Allowed values: `user`, `admin`, `owner`
- `user` (OrganizationMembershipUser, required) — Information about the user.
- `organization` (string, required) — A unique reference to the organization
- `updated_at` (string, required) — The moment when the membership record was last updated (e.g. "2020-01-02T03:04:05.678123Z")
- `created_at` (string, required) — The moment when the membership record was created (e.g. "2020-01-02T03:04:05.678123Z")

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### UserNotInOrgGenericError

Caller not authorized to perform this action

- `details` (list of ErrorResponseDetailsItem, optional)
- `message` (string, optional)
- `title` (enum, optional)
  - Allowed values: `Permission Denied`

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### OrganizationMembershipUser

Information about the user.

- `uri` (string, required) — Canonical reference (unique identifier) for the user
- `name` (string, required) — The user's name (human-readable format)
- `slug` (string, required) — The portion of URL for the user's scheduling page (where invitees book sessions), rendered in a human-readable format
- `email` (string, required) — The user's email address
- `scheduling_url` (string, required) — The URL of the user's Calendly landing page (that lists all the user's event types)
- `timezone` (string, required) — The time zone to use when presenting time to the user
- `avatar_url` (string, required, nullable) — The URL of the user's avatar (image)
- `locale` (enum, required) — The user's language preference
  - Allowed values: `en`, `fr`, `es`, `de`, `pt`, `ps`
- `created_at` (string, required) — The moment when the user's record was created (e.g. "2020-01-02T03:04:05.678123Z")
- `updated_at` (string, required) — The moment when the user's record was last updated (e.g. "2020-01-02T03:04:05.678123Z")

## Examples

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA",
    "role": "admin",
    "user": {
      "uri": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA",
      "name": "John Doe",
      "slug": "acmesales",
      "email": "test@example.com",
      "scheduling_url": "https://calendly.com/acmesales",
      "timezone": "America/New York",
      "avatar_url": "https://01234567890.cloudfront.net/uploads/user/avatar/0123456/a1b2c3d4.png",
      "locale": "en",
      "created_at": "2019-01-02T03:04:05.678123Z",
      "updated_at": "2019-08-07T06:05:04.321123Z",
      "time_notation": "12h"
    },
    "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
    "updated_at": "2019-08-07T06:05:04.321123Z",
    "created_at": "2019-01-02T03:04:05.678123Z"
  }
}
```

**SDK Code**

```python Organization Membership
import requests

url = "https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Organization Membership
const url = 'https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Organization Membership
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Organization Membership
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Organization Membership
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Organization Membership
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Organization Membership
using RestSharp;

var client = new RestClient("https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Organization Membership
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```